Summary: Tools to manage multipath devices using device-mapper.
Name: device-mapper-multipath
Version: 0.4.7
Release: 23.2.1%{?dist}
License: GPL
Group: System Environment/Base
URL: http://christophe.varoqui.free.fr/
Source0: multipath-tools-0.4.7.rhel5.13.tgz
Patch0: initialize_variable.patch
Patch1: 465117-memory.patch
Patch2: 457226-fix.patch
Patch3: 474627_break_loop.patch
Patch4: 481740-fix_callouts.patch
Patch5: 493401_multipathd_umask_fix.patch
Patch6: multipathd-service-stop-problem.patch
Requires: kpartx = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: chkconfig
BuildRequires: libsysfs-devel, device-mapper >= 1.02.02-2
BuildRequires: libselinux-devel, libsepol-devel
BuildRequires: readline-devel, ncurses-devel, libaio-devel

%description
%{name} provides tools to manage multipath devices by instructing the 
device-mapper multipath kernel module what to do. 
The tools are :
* multipath :   Scan the system for multipath devices and assemble them.
* multipathd :  Detects when paths fail and execs multipath to update things.

%package -n kpartx
Summary: Partition device manager for device-mapper devices.
Group: System Environment/Base
Provides: kpartx = %{version}-%{release}

%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%prep
%setup -q -n multipath-tools-0.4.7.rhel5.13
%patch0 -p1 -b .initialize_variable
%patch1 -p1 -b .memory
%patch2 -p1 -b .457226-fix
%patch3 -p1 -b .break_loop
%patch4 -p1 -b .fix_callouts
%patch5 -p1 -b .multipathd_umask_fix
%patch6 -p1 -b .multipathd_service

%build
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT bindir=/sbin rcdir=/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add multipathd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del multipathd
fi

%files
%defattr(-,root,root,-)
/sbin/cciss_id
/sbin/multipath
/sbin/multipath.static
/sbin/multipathd
/sbin/mpath_prio_alua
/sbin/mpath_prio_alua.static
/sbin/mpath_prio_emc
/sbin/mpath_prio_emc.static
/sbin/mpath_prio_ontap
/sbin/mpath_prio_ontap.static
/sbin/mpath_prio_netapp
/sbin/mpath_prio_netapp.static
/sbin/mpath_prio_hds_modular
/sbin/mpath_prio_hds_modular.static
/sbin/mpath_prio_tpc
/sbin/mpath_prio_tpc.static
/sbin/mpath_prio_rdac
/sbin/mpath_prio_rdac.static
/sbin/mpath_prio_hp_sw
/sbin/mpath_prio_hp_sw.static
/sbin/mpath_wait
/sbin/mpath_ctl
/etc/udev/rules.d/40-multipath.rules
%{_mandir}/man8/mpath_prio_alua.8.gz
%{_mandir}/man8/multipath.8.gz
%{_mandir}/man8/multipathd.8.gz
%config /etc/rc.d/init.d/multipathd
%config(noreplace) /etc/multipath.conf
%doc AUTHOR COPYING README* FAQ Multipath-usage.txt multipath.conf.annotated multipath.conf.defaults multipath.conf.synthetic
%dir /var/lib/multipath

%files -n kpartx
%defattr(-,root,root,-)
/sbin/kpartx
/sbin/kpartx.static
%{_mandir}/man8/kpartx.8.gz

%changelog
* Wed Apr 22 2009 Hua Jie <jie.hua@asianux.com> 0.4.7-23.2.1%{?dist}
- fix the problem when stop service multipathd (patch6, AXBug #6058)

* Wed Apr  1 2009 Mike Snitzer <snitzer@redhat.com> 0.4.7-23.el5_3.2
- Added 493401_multipathd_umask_fix.patch
- Resolves: bz #493401

* Wed Feb  4 2009 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-23.el5_3.1
- Added 481740-fix_callouts.patch
- Resolves: bz #481740

* Wed Dec 10 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-23.el5
- Added 474627_break_loop.patch
- Resolves: bz #474627

* Tue Nov  4 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-22.el5
- Added 457226-fix.patch
- Resolves: bz #457226

* Mon Oct 13 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-21.el5
- Make sure multipathd always uses a valid amount for the thread stack size.
- Resolves: bz #465117

* Tue Oct  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-20.el5
- Fixed a regression introduced by the fix for 449097.
- Related: bz #449097

* Fri Sep 18 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-19.el5
- Update to latest source, t0_4_7_rhel5_13
- Resolves: bz #238421, #419581, #449097, #455692, #456126, #456228, #457226

* Wed Aug 27 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-18.el5
- Update to latest source, t0_4_7_rhel5_12
- Resolves: bz #431843, #434588, #434988, #439366, #440123, #442000, #444421, #446223, #448655, #454928

* Tue Apr  1 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-17.el5
- Fix a selinux crash caused by my earlier fix for 355961
- Resolves: bz #355961

* Thu Feb  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-16.el5
- Fixed specfile typeo.
- Resolves: bz #355961

* Thu Feb  7 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-15.el5
- All non-static path_prio callouts are now just symlinks to the static
  ones
- Resolves: bz #355961

* Mon Jan 14 2008 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-14.el5
- Update to latest source, t0_4_7_rhel5_10
- Resolves: bz #226791, #247443, #249088, #251346, #335021, #354661, #355961

* Mon Dec  3 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-13.el5
- Update to latest source, t0_4_7_rhel5_9
- Resolves: bz #357331, #282131

* Thu Aug 16 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-12.el5
- Update to latest source, t0_4_7_rhel5_7
- Resolves: bz #248931

* Mon Aug 13 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-11.el5
- Added patch to fix priority callout for vendor:IBM product:2145
- Resolves: bz #245019

* Tue Jun 19 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-10.el5
- Update to latest source, t0_4_7_rhel5_5
- Resolves: #214838, #223146, #223150, #223762, #231545, #241189, #242723, #243483

* Tue Jun 19 2007 David Cantrell <dcantrell@redhat.com> - 0.4.7-9.el5
- Build static mpath_prio_* callouts (from breeves AT redhat DOT com)
  Related: rhbz#185852

* Wed Jan 10 2007 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-8.el5
- Update to latest source, t0_4_7_rhel5_2
- Resolves bz #219804
- filesystems made on dasd devices may need to be rebuild after upgrading
  to this version.

* Tue Dec 19 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-7.el5
- Updated to latest source, t0_4_7_rhel5_1
- Resolves bz #219804, #218304

* Thu Nov 30 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-6.el5
- Updated to latest source, t0_4_7_post6.
- Resolves bz #215971, #215973, #217972

* Fri Oct 13 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-5.2
- fix tagging issue

* Fri Oct 13 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-5.1
- Updated to latest source.

* Thu Sep  7 2006 Peter Jones <pjones@redhat.com> - 0.4.7-5
- Fix kpartx to handle with drives >2TB correctly.

* Thu Aug 31 2006 Peter Jones <pjones@redhat.com> - 0.4.7-4.1
- Split kpartx out into its own package so dmraid can use it without
  installing multipathd
- Fix a segfault in kpartx

* Mon Jul 17 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-4.0
- Updated to latest source. Fixes bug in default multipath.conf

* Wed Jul 12 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-3.1
- Added ncurses-devel to BuildRequires

* Wed Jul 12 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-3.0
- Updated to latest source. deals with change in libsysfs API

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.4.7-2.2.1
- rebuild

* Mon Jul 10 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.2
- fix tagging issue.

* Mon Jul 10 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.1
- changed BuildRequires from sysfsutils-devel to libsysfs-devel

* Wed Jun 28 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-2.0
- Updated to latest upstream source, fixes kpartx udev rule issue

* Mon Jun 06 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.7-1.0
- Updated to Christophe's latest source

* Mon May 22 2006 Alasdair Kergon <agk@redhat.com> - 0.4.5-16.0
- Newer upstream source (t0_4_5_post59).

* Mon May 22 2006 Alasdair Kergon <agk@redhat.com> - 0.4.5-12.3
- BuildRequires: libsepol-devel, readline-devel

* Mon Feb 27 2006 Benjamin Marzinski <bmarzins@redhat.com> 0.4.5-12.2
- Prereq: chkconfig

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 0.4.5-12.1
- BuildRequires: libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4.5-12.0.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-12.0
- Updated to latest upstream source (t0_4_5_post56)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4.5-9.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Dec 19 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-9.1
- added patch for fedora changes

* Fri Dec 16 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-9.0
- Updated to latest upstream source (t)_4_5_post52)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Dec  4 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.6
- rebuild for newer libs

* Tue Nov 15 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.5
- unsplit kpartx.  parted knows how to do this now, so we don't
  need this in a separate package.

* Tue Nov 15 2005 Peter Jones <pjones@redhat.com> - 0.4.4-2.4
- split kpartx out into its own package

* Fri May 06 2005 Bill Nottingham <notting@redhat.com> - 0.4.4-2.3
- Fix last fix.

* Thu May 05 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.2
- Fix last fix.

* Wed May 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.1
- By default, disable the multipathd service.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.0
- Fix core dump from last build.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-1.0
- Move cache file into /var/cache/multipath.

* Fri Apr 08 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.1
- Remove pp_balance_units.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.0
- Incorporate numerous upstream fixes.
- Update init script to distribution standards.

* Tue Mar 01 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-1.0
- Initial import based on Christophe Varoqui's spec file.
